searchData={"items":[{"type":"module","title":"Guide","doc":"Turns sobelow static code analysis results into markdown, by:\n\n1. Fetching a collection of recommendations in markdown,\n2. Extracting the needed parts out of (1), that match the sobelow findings,\n3. Prepare markdown that can be used to decorate PRs in GitHub.","ref":"Guide.html"},{"type":"function","title":"Guide.run/1","doc":"Writes the finished markdown to a file.\n\nReturns :ok or {:error, _reason}.","ref":"Guide.html#run/1"},{"type":"module","title":"Guide.Api","doc":"Provides abstraction to load data from a remote url.","ref":"Guide.Api.html"},{"type":"function","title":"Guide.Api.get/2","doc":"Fetch the markdown data.","ref":"Guide.Api.html#get/2"},{"type":"module","title":"Guide.Templates","doc":"Provide markdown templates for rendering.","ref":"Guide.Templates.html"},{"type":"function","title":"Guide.Templates.empty/0","doc":"Template for when no vulnerabilities were found.","ref":"Guide.Templates.html#empty/0"},{"type":"function","title":"Guide.Templates.findings/0","doc":"Template for when vulnerabilities were found.","ref":"Guide.Templates.html#findings/0"},{"type":"function","title":"Guide.Templates.section/0","doc":"Template for one section (one vulnerability).","ref":"Guide.Templates.html#section/0"},{"type":"task","title":"mix guide","doc":"Guide is a tool that turns sobelow static code analysis results into\nmarkdown, that can be used to decorate pull requests of GitHub.\n\nThis tool can be run with the following mix task:\n\n```elixir\nmix guide --source   \\\n          --repo   \\\n          --commit  \n```\n\nTo decorate a PR you have to run these steps inside of a GitHub Action:\n\n1. mix sobelow --skip --format=json --out=./sobelow.results.json\n2. mix guide --source   --repo   --commit  \n3. gh pr comment   --repo   -F comment.md","ref":"Mix.Tasks.Guide.html"},{"type":"task","title":"Command line options - mix guide","doc":"* `--source`  - URL to markdown file, where recommendations can be extracted from.\n* `--repo` - Specify the name of your repository\n* `--commit` - Commit hash of the latest commit of our PR, is used to generate code snippets.\n* `--results` - File path of the results generated by sobelow. Has to be json. Defaults to: sobelow.results.json\n* `--target` - File path where to store the generated markdown, defaults to: comment.md","ref":"Mix.Tasks.Guide.html#module-command-line-options"},{"type":"function","title":"Mix.Tasks.Guide.main/1","doc":"","ref":"Mix.Tasks.Guide.html#main/1"},{"type":"function","title":"Mix.Tasks.Guide.run/1","doc":"","ref":"Mix.Tasks.Guide.html#run/1"},{"type":"extras","title":"Guide","doc":"# Guide\n\n[![Module Version](https://img.shields.io/hexpm/v/guide.svg)](https://hex.pm/packages/guide)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/guide/)\n[![License](https://img.shields.io/hexpm/l/guide.svg)](https://hex.pm/packages/guide)\n[![Coverage Status](https://coveralls.io/repos/github/badazz91/guide/badge.svg?branch=main)](https://coveralls.io/github/badazz91/guide?branch=main)\n\nGuide is a tool that turns sobelow static code analysis results into\nmarkdown, that can be used to decorate pull requests of GitHub.\n\nThis tool should be run with the following command:\n\n```\nmix guide --source   --repo   --commit  \n```\n\nTo decorate a PR you have to run these steps inside of your CI/CD pipeline (e.g. GitHub Actions):\n\n1. `mix sobelow --skip --format=json --out=./sobelow.results.json`\n2. `mix guide --source   --repo   --commit  `\n3. `gh pr comment   --repo   -F comment.md`","ref":"readme.html"},{"type":"extras","title":"Command line options - Guide","doc":"- `--source` - URL to markdown file, where recommendations can be extracted from.\n- `--repo` - Specify the name of your repository\n- `--commit` - Commit hash of the latest commit of our PR, is used to generate code snippets.\n- `--results` - File path of the results generated by sobelow. Has to be json. Defaults to: sobelow.results.json\n- `--target` - File path where to store the generated markdown, defaults to: comment.md","ref":"readme.html#command-line-options"},{"type":"extras","title":"Installation - Guide","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `guide` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:guide, \"~> 0.0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.0.2 - Changelog","doc":"- Enhancements\n  - Supports elixir versions: 1.14.x, 1.15.x, 1.16.x\n  - Standardized titles for both versions of the markdown (empty and non empty)","ref":"changelog.html#v0-0-2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}